package com.xtd.common.base;

/**
 * Created by xiezt on 2018/9/7.
 */
public interface BaseMapper<T, PK> {

    int deleteByPrimaryKey(PK guid);

    int insert(T record);

    int insertSelective(T record);

    T selectByPrimaryKey(PK guid);

    int updateByPrimaryKeySelective(T record);

    int updateByPrimaryKeyWithBLOBs(T record);

    int updateByPrimaryKey(T record);
}
